apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}
  labels:
    app: {{ .Release.Name }}
    type: task
spec:
  selector:
    matchLabels:
      project: {{ .Release.Name }}
  replicas: {{ .Values.replicas }}
  template:
    metadata:
      labels:
        project: {{ .Release.Name }}
        type: task
    spec:
      automountServiceAccountToken: false
      enableServiceLinks: false
      containers:
        - name: {{ .Release.Name }}
          image: {{ .Values.container.image }}
          securityContext:
            runAsNonRoot: true
            allowPrivilegeEscalation: false
            readOnlyRootFilesystem: true
            runAsUser: 1001
          livenessProbe:
            tcpSocket:
              port: 18668
            initialDelaySeconds: 5
            periodSeconds: 10
            timeoutSeconds: 5
          resources:
            requests:
              memory: {{ .Values.container.resources.requests.memory }}
              cpu: {{ .Values.container.resources.requests.cpu }}
            limits:
              memory: {{ .Values.container.resources.limits.memory }}
              cpu: {{ .Values.container.resources.limits.cpu }}
          ports:
            - containerPort: 18668
